﻿<?xml version="1.0" encoding="utf-8"?>
<!--Created by Ron.-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />
  <xsl:param name="SV_OutputFormat" select="'HTML'" />
  <xsl:variable name="XML" select="/" />
  <xsl:template match="/">
    <html style="font-family: sans-serif;">
      <head>
        <title />
      </head>
      <body>
        <xsl:for-each select="$XML/PocketFMSFlightplan">
          <h1 style="font-size: 140%; text-align: center;">
            <span>
              <xsl:text>PocketFMS Enroute Airspace Briefing</xsl:text>
            </span>
          </h1>
          <h3 style="font-size: 115%; text-align: center; ">
            <xsl:for-each select="META/Departure/Fullname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>(</xsl:text>
            </span>
            <xsl:for-each select="META/Departure/FriendlyShortname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>) </xsl:text>
            </span>
            <span style="font-weight: normal;">
              <xsl:text> to </xsl:text>
            </span>
            <xsl:for-each select="META/Arrival/Fullname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>(</xsl:text>
            </span>
            <xsl:for-each select="META/Arrival/FriendlyShortname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span style="font-weight: normal;">
              <xsl:text>) at </xsl:text>
            </span>
            <xsl:for-each select="META/TakeOffTimeUTC">
              <span>
                <xsl:value-of select="substring(.,1,5)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>z </xsl:text>
            </span>
            <xsl:for-each select="META/TakeOffDateUTC">
              <span>
                <xsl:value-of select="concat(' ',substring(.,9,2),'/',substring(.,6,2),'/',substring(.,1,4))" />
              </span>
            </xsl:for-each>
          </h3>
          <table style="vertical-align:top; text-align: center; border-color:black; border-style:solid; border-width:2px; border-collapse: collapse; empty-cells: show;" border="1" width="100%">
            <thead>
              <tr>
                <th style="border-bottom-style:none;">
                  <span>
                    <xsl:text></xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style:none;">
                  <span>
                    <xsl:text>Rev</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style:none;">
                  <span>
                    <xsl:text>ETA</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style:none;">
                  <span>
                    <xsl:text>Rev</xsl:text>
                  </span>
                </th>
                <th colspan="6" style="border-bottom-style:none;">
                  <span></span>
                </th>
              </tr>
              <tr>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>ETE</xsl:text>
                  </span>
                </th>
                <th style="border-top-style:none; border-bottom-width:2px;">
                  <span>
                    <xsl:text>ETE</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>z</xsl:text>
                  </span>
                </th>
                <th style="border-top-style:none; border-bottom-width:2px;">
                  <span>
                    <xsl:text>ETA</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>Name</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>Remarks</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>Class</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>Comm</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>LL</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-width:2px;">
                  <span>
                    <xsl:text>UL</xsl:text>
                  </span>
                </th>
              </tr>
            </thead>
            <tbody>
              <xsl:for-each select="LIB[1]/AirspacesCrossed/Airspace[AirspaceEntryPoint/ETAUTC='00:00:00']">
                <tr style="font-size: small; height:25px; text-align:center;">
                  <td>
                    <xsl:for-each select="AirspaceEntryPoint/ETECUMMULATIVE">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="string(.)" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceName">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceRemarks">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceClass">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceComm1">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceLowerAltFt">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceUpperAltFt">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                </tr>
              </xsl:for-each>
              <xsl:for-each select="LIB/AirspacesCrossed/Airspace[AirspaceEntryPoint/ETAUTC!='00:00:00']">
                <tr style="font-size: small; height:25px; text-align:center;">
                  <td>
                    <xsl:for-each select="AirspaceEntryPoint/ETECUMMULATIVE">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="string(.)" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceEntryPoint/ETAUTC">
                      <span>
                        <xsl:value-of select="substring(.,1,5)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceName">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceRemarks">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceClass">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceComm1">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceLowerAltFt">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td>
                    <xsl:for-each select="AirspaceUpperAltFt">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                </tr>
              </xsl:for-each>
            </tbody>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>