﻿<?xml version="1.0" encoding="utf-8"?>
<!--Created by Ron. v2-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />
  <xsl:param name="SV_OutputFormat" select="'HTML'" />
  <xsl:variable name="XML" select="/" />
  <xsl:template match="/">
    <html style="font-family: sans-serif">
      <head>
        <title />
      </head>
      <body>
        <xsl:for-each select="$XML/PocketFMSFlightplan">
          <h1 style="text-align: center; font-size: 140%">
            <span>
              <xsl:text>PocketFMS NavLog</xsl:text>
            </span>
          </h1>
          <h3 style="font-size: 115%; text-align: center; ">
            <xsl:for-each select="META/Departure/Fullname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>(</xsl:text>
            </span>
            <xsl:for-each select="META/Departure/FriendlyShortname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>) </xsl:text>
            </span>
            <span style="font-weight: normal;">
              <xsl:text> to </xsl:text>
            </span>
            <xsl:for-each select="META/Arrival/Fullname">
              <xsl:for-each select="Arrival">
                <xsl:for-each select="Fullname"></xsl:for-each>
              </xsl:for-each>
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>(</xsl:text>
            </span>
            <xsl:for-each select="META/Arrival/FriendlyShortname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>) at </xsl:text>
            </span>
            <xsl:for-each select="META/TakeOffTimeUTC">
              <span>
                <xsl:value-of select="substring(.,1,5)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>Z </xsl:text>
            </span>
            <xsl:for-each select="META/TakeOffDateUTC">
              <span>
                <xsl:value-of select="concat(' ',substring(.,9,2),'/',substring(.,6,2),'/',substring(.,1,4))" />
              </span>
            </xsl:for-each>
          </h3>
          <table style="vertical-align:top; text-align: center; border-color:black; border-style:solid; border-collapse: collapse; empty-cells: show;" border="1" width="100%">
            <thead>
              <tr style="height:25px; ">
                <th colSpan="2">
                  <span>
                    <xsl:text>Frequencies</xsl:text>
                  </span>
                </th>
                <th colSpan="2" style="text-align: right; border-right-style: none; ">
                  <span>
                    <xsl:text>Destination Elevation:</xsl:text>
                  </span>
                </th>
                <th style="border-left-style: none; ">
                  <xsl:for-each select="META/Arrival/Elevation">
                    <span>
                      <xsl:value-of select="string(.)" />
                    </span>
                  </xsl:for-each>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>Mag</xsl:text>
                  </span>
                </th>
                <th colSpan="2">
                  <xsl:choose>
                    <xsl:when test="LIB/WINDDIRECTION/@Value=0">
                      <span>
                        <xsl:text>Wind</xsl:text>
                      </span>
                    </xsl:when>
                    <xsl:otherwise>
                      <span>
                        <xsl:value-of select="concat('Wind (',string(LIB/WINDDIRECTION/@Unit),')')" />
                      </span>
                    </xsl:otherwise>
                  </xsl:choose>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>Mag</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text></xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>ETE</xsl:text>
                  </span>
                </th>
                <th colSpan="3">
                  <span>
                    <xsl:text>Time Overhead (UTC)</xsl:text>
                  </span>
                </th>
              </tr>
              <tr>
                <th style="width:70px;  ">
                  <span>
                    <xsl:text>FIA</xsl:text>
                  </span>
                </th>
                <th style="font-size: small; font-weight: bold; height:20px;">
                  <span>
                    <xsl:text>TWR/CTAF</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>From</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>To</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>Alt</xsl:text>
                  </span>
                </th>
                <th style="border-top-style: none; ">
                  <span>
                    <xsl:text>Head</xsl:text>
                  </span>
                </th>
                <th style="width:1.2cm;">
                  <span>
                    <xsl:text> Dir </xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>Speed</xsl:text>
                  </span>
                </th>
                <th style="border-top-style: none; ">
                  <span>
                    <xsl:text>Track</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>ETE</xsl:text>
                  </span>
                </th>
                <th style="border-top-style: none; ">
                  <span>
                    <xsl:text>Cum</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>ETA</xsl:text>
                  </span>
                </th>
                <th style="width:70px;  ">
                  <span>
                    <xsl:text>ATA</xsl:text>
                  </span>
                </th>
                <th style="width:70px;  ">
                  <span>
                    <xsl:text>RETA</xsl:text>
                  </span>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <xsl:for-each select="LIB">
                    <tr style="font-size: small; height:25px; ">
                      <td>
                        <span>
                          <xsl:text></xsl:text>
                        </span>
                      </td>
                      <td>
                        <span>
                          <xsl:text></xsl:text>
                        </span>
                      </td>
                      <td>
                        <xsl:for-each select="FromPoint/FriendlyShortname">
                          <span>
                            <xsl:value-of select="string(.)" />
                          </span>
                        </xsl:for-each>
                      </td>
                      <td>
                        <xsl:for-each select="ToPoint/Fullname">
                          <span>
                            <xsl:value-of select="string(.)" />
                          </span>
                        </xsl:for-each>
                      </td>
                      <td style="font-size: medium; font-weight: bold; " nowrap="set">
                        <xsl:for-each select="PlannedAltitude">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="string(.)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td style="font-size: medium; font-weight: bold; " nowrap="set">
                        <xsl:for-each select="MAGNETICHEADING">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="format-number(number(string(.)), '000')" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="WINDDIRECTION">
                          <xsl:for-each select="@Value">
                            <xsl:choose>
                              <xsl:when test=".=0">
                                <span>
                                  <xsl:text></xsl:text>
                                </span>
                              </xsl:when>
                              <xsl:otherwise>
                                <span>
                                  <xsl:value-of select="format-number(number(string(.)), '000')" />
                                </span>
                              </xsl:otherwise>
                            </xsl:choose>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="WINDSPEED">
                          <xsl:for-each select="@Value">
                            <xsl:choose>
                              <xsl:when test=".=0">
                                <span>
                                  <xsl:text></xsl:text>
                                </span>
                              </xsl:when>
                              <xsl:otherwise>
                                <span>
                                  <xsl:value-of select="string(.)" />
                                </span>
                              </xsl:otherwise>
                            </xsl:choose>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="MAGNETICTRACK">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="format-number(number(string(.)), '000')" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="ETE">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="substring(.,1,5)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="ETECUMMULATIVE">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="substring(.,1,5)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="ETAUTC">
                          <xsl:value-of select="substring(.,1,5)" />
                        </xsl:for-each>
                      </td>
                      <td>
                        <span>
                          <xsl:text></xsl:text>
                        </span>
                      </td>
                      <td>
                        <span>
                          <xsl:text></xsl:text>
                        </span>
                      </td>
                    </tr>
                  </xsl:for-each>
                </td>
              </tr>
            </tbody>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>