﻿<?xml version="1.0" encoding="utf-8"?>
<!--Created by Ron.-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" />
  <xsl:param name="SV_OutputFormat" select="'HTML'" />
  <xsl:variable name="XML" select="/" />
  <xsl:template match="/">
    <html style="font-family: sans-serif">
      <head>
        <title />
      </head>
      <body>
        <xsl:for-each select="$XML/PocketFMSFlightplan">
          <h1 style="text-align: center; font-size: 140%">
            <span>
              <xsl:text>PocketFMS NavLog</xsl:text>
            </span>
          </h1>
          <h3 style="font-size: 115%; text-align: center; ">
            <xsl:for-each select="META/Departure/Fullname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>(</xsl:text>
            </span>
            <xsl:for-each select="META/Departure/FriendlyShortname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>) </xsl:text>
            </span>
            <span style="font-weight: normal;">
              <xsl:text> to </xsl:text>
            </span>
            <xsl:for-each select="META/Arrival/Fullname">
              <xsl:for-each select="Arrival">
                <xsl:for-each select="Fullname"></xsl:for-each>
              </xsl:for-each>
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>(</xsl:text>
            </span>
            <xsl:for-each select="META/Arrival/FriendlyShortname">
              <span>
                <xsl:value-of select="string(.)" />
              </span>
            </xsl:for-each>
            <span style="font-weight: normal;">
              <xsl:text>) at </xsl:text>
            </span>
            <xsl:for-each select="META/TakeOffTimeUTC">
              <span>
                <xsl:value-of select="substring(.,1,5)" />
              </span>
            </xsl:for-each>
            <span>
              <xsl:text>z</xsl:text>
            </span>
            <xsl:for-each select="META/TakeOffDateUTC">
              <span>
                <xsl:value-of select="concat(' ',substring(.,9,2),'/',substring(.,6,2),'/',substring(.,1,4))" />
              </span>
            </xsl:for-each>
          </h3>
          <table style="vertical-align:top; text-align: center; border-color:black; border-style:solid; border-collapse: collapse; empty-cells: show;" border="1" width="100%">
            <thead>
              <tr style="height:25px; ">
                <th colSpan="4">
                  <span>
                    <xsl:text></xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>TR</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style: none; " colSpan="2">
                  <xsl:choose>
                    <xsl:when test="LIB/WINDDIRECTION/@Value=0">
                      <span>
                        <xsl:text>WIND</xsl:text>
                      </span>
                    </xsl:when>
                    <xsl:otherwise>
                      <span>
                        <xsl:value-of select="concat('WIND (',string(LIB/WINDDIRECTION/@Unit),')')" />
                      </span>
                    </xsl:otherwise>
                  </xsl:choose>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>HDG</xsl:text>
                  </span>
                </th>
                <th colSpan="4">
                  <span>
                    <xsl:text></xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>PLN</xsl:text>
                  </span>
                </th>
                <th style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>REV</xsl:text>
                  </span>
                </th>
                <th colSpan="3" style="border-bottom-style: none; ">
                  <span>
                    <xsl:text>ATA</xsl:text>
                  </span>
                </th>
              </tr>
              <tr>
                <th>
                  <span>
                    <xsl:text>PSN</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>MSA</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>ALT</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>TAS</xsl:text>
                  </span>
                </th>
                <th style="border-top-style: none; ">
                  <span>
                    <xsl:text>(M)</xsl:text>
                  </span>
                </th>
                <th style="width:1.2cm;">
                  <span></span>
                </th>
                <th style="width:1.2cm;">
                  <span></span>
                </th>
                <th style="border-top-style: none; ">
                  <span>
                    <xsl:text>(M)</xsl:text>
                  </span>
                </th>
                <th style="white-space:nowrap">
                  <span>
                    <xsl:text>G/S</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>DIST</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>ETI</xsl:text>
                  </span>
                </th>
                <th>
                  <span>
                    <xsl:text>EET</xsl:text>
                  </span>
                </th>
                <th style="border-top-style: none; ">
                  <span>
                    <xsl:text>EST</xsl:text>
                  </span>
                </th>
                <th style="width:70px; border-top-style: none; ">
                  <span>
                    <xsl:text>EST</xsl:text>
                  </span>
                </th>
                <th style="width:70px; border-top-style: none; ">
                  <span>
                    <xsl:text>ATD</xsl:text>
                  </span>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
                  <xsl:for-each select="LIB">
                    <tr style="font-size: medium; height:25px; ">
                      <td>
                        <xsl:for-each select="ToPoint/FriendlyShortname">
                          <span>
                            <xsl:value-of select="string(.)" />
                          </span>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="MSA">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="string(.)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="PlannedAltitude">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="string(.)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="TAS">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="string(.)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="MAGNETICTRACK">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="format-number(number(string(.)), '000')" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="WINDDIRECTION">
                          <xsl:for-each select="@Value">
                            <xsl:choose>
                              <xsl:when test=".=0">
                                <span>
                                  <xsl:text></xsl:text>
                                </span>
                              </xsl:when>
                              <xsl:otherwise>
                                <span>
                                  <xsl:value-of select="format-number(number(string(.)), '000')" />
                                </span>
                              </xsl:otherwise>
                            </xsl:choose>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="WINDSPEED">
                          <xsl:for-each select="@Value">
                            <xsl:choose>
                              <xsl:when test=".=0">
                                <span>
                                  <xsl:text></xsl:text>
                                </span>
                              </xsl:when>
                              <xsl:otherwise>
                                <span>
                                  <xsl:value-of select="string(.)" />
                                </span>
                              </xsl:otherwise>
                            </xsl:choose>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td style="font-weight: bold; " nowrap="set">
                        <xsl:for-each select="MAGNETICHEADING">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="format-number(number(string(.)), '000')" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="GROUNDSPEED">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="string(.)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set" style="text-align:right;">
                        <xsl:for-each select="Distance">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set" style="font-weight: bold; ">
                        <xsl:for-each select="ETE">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="substring(.,1,5)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="ETECUMMULATIVE">
                          <xsl:for-each select="@Value">
                            <span>
                              <xsl:value-of select="substring(.,1,5)" />
                            </span>
                          </xsl:for-each>
                        </xsl:for-each>
                      </td>
                      <td nowrap="set">
                        <xsl:for-each select="ETAUTC">
                          <span>
                            <xsl:value-of select="substring(.,1,5)" />
                          </span>
                        </xsl:for-each>
                      </td>
                      <td>
                        <span>
                          <xsl:text></xsl:text>
                        </span>
                      </td>
                      <td>
                        <span>
                          <xsl:text></xsl:text>
                        </span>
                      </td>
                    </tr>
                  </xsl:for-each>
                </td>
              </tr>
            </tbody>
          </table>
          <table style="border-color:black; border-style:solid; border-collapse: collapse; empty-cells: show; height:25px;" border="1" width="100%">
            <thead>
              <tr>
                <th style="height:25px; border-bottom:solid;" colSpan="4">
                  <span>
                    <xsl:text>Fuel Calculation</xsl:text>
                  </span>
                </th>
                <th style="height:25px; border-bottom:solid;">
                  <span>
                    <xsl:text>Min</xsl:text>
                  </span>
                </th>
                <th style="height:25px; border-bottom:solid;">
                  <span>
                    <xsl:text>L</xsl:text>
                  </span>
                </th>
                <th style="height:25px; width:400px; border-bottom:solid;">
                  <span>
                    <xsl:text>Pilot Notes</xsl:text>
                  </span>
                </th>
              </tr>
            </thead>
            <tbody>
              <xsl:for-each select="FUEL">
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Climb &amp; Cruise</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="TotalTripFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                  <td>
                    <span>
                      <xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform"></xsl:text>
                    </span>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Furthest Altn.</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="LongestAlternateFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Nominal Altn. App</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text xmlns:xsl="http://www.w3.org/1999/XSL/Transform"></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="AlternateApproachFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="3">
                    <span>
                      <xsl:text>Variable Res</xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="ContingencyFuel">
                      <xsl:for-each select="@Percentage">
                        <span>
                          <xsl:value-of select="string(.)" />
                        </span>
                        <xsl:text>%</xsl:text>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="ContingencyFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Fixed Reserve</xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="ReserveFuel">
                      <xsl:for-each select="@Duration">
                        <span>
                          <xsl:value-of select="string(.)" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="ReserveFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Taxi/Dep</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="TaxiAndDepartureFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Arr/Taxi</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <xsl:for-each select="ArrivalAndTaxiFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left; font-weight:bold;" colSpan="4">
                    <span>
                      <xsl:text>Fuel Required</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right; font-weight:bold; border-width:medium thin medium medium;">
                    <xsl:for-each select="TotalFuel">
                      <xsl:for-each select="@Value">
                        <span>
                          <xsl:value-of select="format-number(number(string(.)), '0.0')" />
                        </span>
                      </xsl:for-each>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;" colSpan="4">
                    <span>
                      <xsl:text>Fuel Margin</xsl:text>
                    </span>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right;">
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left;  font-weight:bold;" colSpan="4">
                    <span>
                      <xsl:text>Endurance</xsl:text>
                    </span>
                  </td>
                  <td style="text-align:right; font-weight:bold; border-width:medium thin medium medium;">
                    <xsl:for-each select="$XML/PocketFMSFlightplan/META/ICAOEndurance">
                      <xsl:for-each select="@Value"></xsl:for-each>
                    </xsl:for-each>
                  </td>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                </tr>
              </xsl:for-each>
            </tbody>
          </table>
          <table style="border-color:black; border-style:solid; border-collapse: collapse; empty-cells: show; height:25px;" border="1" width="100%">
            <tbody>
              <xsl:for-each select="META">
                <tr>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                </tr>
                <tr>
                  <td style="text-align:left; border-bottom-style: none; ">
                    <span>
                      <xsl:text>CALLSIGN:</xsl:text>
                    </span>
                  </td>
                  <td style="text-align:left; font-size: small; border-bottom-style: none; ">
                    <span>
                      <xsl:text>PHONE NO:</xsl:text>
                    </span>
                  </td>
                  <td style="text-align:left; font-size: small; border-bottom-style: none; ">
                    <span>
                      <xsl:text>FAX NO:</xsl:text>
                    </span>
                  </td>
                </tr>
                <tr>
                  <td style="text-align: center; font-size: 160%; font-weight:bold; border-top-style: none; ">
                    <xsl:for-each select="AircraftIdentification">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td style="text-align: center; font-weight:bold;  font-size: 120%; border-top-style: none; ">
                    <xsl:for-each select="PilotInCommandPhone">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                  <td style="text-align: center; font-weight:bold; font-size: 120%; border-top-style: none; ">
                    <xsl:for-each select="PilotInCommandFax">
                      <span>
                        <xsl:value-of select="string(.)" />
                      </span>
                    </xsl:for-each>
                  </td>
                </tr>
                <tr>
                  <td>
                    <span>
                      <xsl:text></xsl:text>
                    </span>
                  </td>
                </tr>
              </xsl:for-each>
            </tbody>
          </table>
          <table style="border-color:black; border-style:none; border-collapse: collapse; empty-cells: show; height:25px;" border="1" width="100%">
            <tbody>
              <tr>
                <td style="text-align: center; font-weight:bold;  font-size: small; border-style: none; ">
                  <span>
                    <xsl:text>BRIEFING 1800 805 150</xsl:text>
                  </span>
                </td>
                <td style="text-align: center; font-weight:bold;  font-size: small; border-style: none; ">
                  <span>
                    <xsl:text>FAX 1800 805 150</xsl:text>
                  </span>
                </td>
                <td style="text-align: center; font-weight:bold;  font-size: small;  border-style: none; ">
                  <span>
                    <xsl:text>CENSAR 1800 814 931</xsl:text>
                  </span>
                </td>
              </tr>
            </tbody>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
