<?xml version="1.0" encoding="UTF-8"?>
<!--Designed and generated by Altova StyleVision Enterprise Edition 2008 rel. 2 sp2 - see http://www.altova.com/stylevision for more information.-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xdt="http://www.w3.org/2005/xpath-datatypes" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:altova="http://www.altova.com">
	<xsl:output version="4.0" method="html" indent="no" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>
	<xsl:param name="SV_OutputFormat" select="'HTML'"/>
	<xsl:variable name="XML" select="/"/>
	
<xsl:template name="lf2br">
		<!-- import $StringToTransform -->
		<xsl:param name="StringToTransform"/>
		<xsl:choose>
			<!-- string contains linefeed -->
			<xsl:when test="contains($StringToTransform,'&lt;BR&gt;')">
				<!-- output substring that comes before the first linefeed -->
				<!-- note: use of substring-before() function means        -->
				<!-- $StringToTransform will be treated as a string,       -->
				<!-- even if it is a node-set or result tree fragment.     -->
				<!-- So hopefully $StringToTransform is really a string!   -->
				<xsl:value-of select="substring-before($StringToTransform,'&lt;BR&gt;')"/>
				<!-- by putting a 'br' element in the result tree instead  -->
				<!-- of the linefeed character, a <br> will be output at   -->
				<!-- that point in the HTML                                -->
				<br/>
				<!-- repeat for the remainder of the original string -->
				<xsl:call-template name="lf2br">
					<xsl:with-param name="StringToTransform">
						<xsl:value-of select="substring-after($StringToTransform,'&lt;BR&gt;')"/>
					</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<!-- string does not contain newline, so just output it -->
			<xsl:otherwise>
				<xsl:value-of select="$StringToTransform"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
    	
  	<xsl:template match="/">
		<html>
			<head>
				<title/>
				<script language="javascript">
					<xsl:comment>
function ShowURLInNativeBrowser(){
ShowURLInNativeBrowser()=this.open(&quot;http://www.pocketfms.com&quot;)
}
</xsl:comment>
				</script>
			</head>
			<body>
				<xsl:for-each select="$XML">
					<span style="font-family:Arial; ">
						<xsl:text>&#160;</xsl:text>
					</span>
					<br/>
					<br/>
					<br/>
					<table border="0" width="100%">
						<tbody>
							<tr style="font-size:xx-large; ">
								<td>
									<xsl:for-each select="PocketFMSObjectData">
										<xsl:for-each select="FriendlyShortname">
											<xsl:apply-templates/>
										</xsl:for-each>
									</xsl:for-each>
									<span style="font-family:Arial; ">
										<xsl:text>&#160;</xsl:text>
									</span>
									<xsl:for-each select="PocketFMSObjectData">
										<xsl:for-each select="Fullname">
											<xsl:apply-templates/>
										</xsl:for-each>
									</xsl:for-each>
									<span>
										<xsl:text> - Elevation </xsl:text>
									</span>
									<xsl:for-each select="PocketFMSObjectData">
										<xsl:for-each select="Elevation">
											<xsl:apply-templates/>
										</xsl:for-each>
									</xsl:for-each>
									<span>
										<xsl:text>Ft</xsl:text>
									</span>
								</td>
								<td/>
								<td/>
							</tr>
							<tr>
								<td style="font-size:larger; font-weight:bolder; " align="center"/>
								<td/>
								<th align="center"/>
							</tr>
							<tr>
								<td style="font-size:larger; font-weight:bolder; " align="center" valign="top">
									<img>
										<xsl:attribute name="src">
											<xsl:if test="substring(string(PocketFMSObjectData/DetailedObjectInfo/GoogleMapsURL), 2, 1) = ':'">
												<xsl:text>file:///</xsl:text>
											</xsl:if>
											<xsl:value-of select="translate(string(PocketFMSObjectData/DetailedObjectInfo/GoogleMapsURL), '&#x5c;', '/')"/>
										</xsl:attribute>
										<xsl:attribute name="alt"/>
									</img>
									<br/>
									<br/>
									<table align="left" border="0">
										<thead>
											<tr>
												<th valign="top"/>
												<th valign="top"/>
												<th/>
											</tr>
										</thead>
										<tbody>
											<xsl:for-each select="PocketFMSObjectData">
												<xsl:for-each select="DetailedObjectInfo">
													<xsl:for-each select="Remarks">
														<xsl:for-each select="Remark">
															<tr>
																<td align="left" valign="top">
																	<xsl:for-each select="@RemarkType">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
																<td align="left" valign="top">
																	<span>
																		<xsl:text>:</xsl:text>
																	</span>
																	<br/>
																</td>
																<td align="left">
																	<xsl:if test="@RemarkType != &quot;WEB&quot;">
																		<xsl:for-each select="@RemarkText">
																			<span>

			<xsl:call-template name="lf2br">
				<xsl:with-param name="StringToTransform" select="string(.)"/>
			</xsl:call-template>
				

																			</span>
																		</xsl:for-each>
																	</xsl:if>
																	<span>
																		<xsl:text>&#160;</xsl:text>
																	</span>
																	<span>
																		<xsl:value-of select="substring-before(  substring-after(  @RemarkText  , &quot;&lt;a href=&quot;),&quot;&gt;&quot;)"/>
																	</span>
																	<span>
																		<xsl:text>&#160; </xsl:text>
																	</span>
																	<a>
																		<xsl:choose>
																			<xsl:when test="substring(string(substring-before(  substring-after(  @RemarkText  , &quot;&lt;a href=&quot;),&quot;&gt;&quot;)), 1, 1) = '#'">
																				<xsl:attribute name="href">
																					<xsl:value-of select="substring-before(  substring-after(  @RemarkText  , &quot;&lt;a href=&quot;),&quot;&gt;&quot;)"/>
																				</xsl:attribute>
																			</xsl:when>
																			<xsl:otherwise>
																				<xsl:attribute name="href">
																					<xsl:if test="substring(string(substring-before(  substring-after(  @RemarkText  , &quot;&lt;a href=&quot;),&quot;&gt;&quot;)), 2, 1) = ':'">
																						<xsl:text>file:///</xsl:text>
																					</xsl:if>
																					<xsl:value-of select="translate(string(substring-before(  substring-after(  @RemarkText  , &quot;&lt;a href=&quot;),&quot;&gt;&quot;)), '&#x5c;', '/')"/>
																				</xsl:attribute>
																			</xsl:otherwise>
																		</xsl:choose>
																	</a>
																</td>
															</tr>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</tbody>
									</table>
									<br/>
								</td>
								<td style="font-size:larger; font-weight:bolder; " align="center" colspan="2">
									<table border="0">
										<thead>
											<tr>
												<th align="center" rowspan="2">
													<xsl:if test="count(  PocketFMSObjectData/DetailedObjectInfo/VisualReportingPoints  )  &gt;= 1">
														<span>
															<xsl:text>&#160;</xsl:text>
														</span>
														<span style="font-family:Arial; ">
															<xsl:text>Visual Reporting Points </xsl:text>
														</span>
													</xsl:if>
												</th>
												<th/>
											</tr>
											<tr>
												<th/>
											</tr>
										</thead>
										<tbody>
											<xsl:for-each select="PocketFMSObjectData">
												<xsl:for-each select="DetailedObjectInfo">
													<xsl:for-each select="VisualReportingPoints">
														<xsl:for-each select="VisualReportingPoint">
															<tr>
																<td height="10%" width="10%">
																	<img style="height:256px; width:256px; ">
																		<xsl:attribute name="src">
																			<xsl:if test="substring(string(GoogleMapsURL), 2, 1) = ':'">
																				<xsl:text>file:///</xsl:text>
																			</xsl:if>
																			<xsl:value-of select="translate(string(GoogleMapsURL), '&#x5c;', '/')"/>
																		</xsl:attribute>
																		<xsl:attribute name="alt"/>
																	</img>
																	<br/>
																	<xsl:for-each select="@ReportingPointIdent">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																	<span style="font-family:Arial; ">
																		<xsl:text>-</xsl:text>
																	</span>
																	<xsl:for-each select="ReportingPointDescription">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																	<span style="font-family:Arial; ">
																		<xsl:text>&#160;</xsl:text>
																	</span>
																	<xsl:if test="ReportingPointInboundAltFt != 0">
																		<span style="font-family:Arial; ">
																			<xsl:text> Inbound Altitude </xsl:text>
																		</span>
																		<xsl:for-each select="ReportingPointInboundAltFt">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																		<span style="font-family:Arial; ">
																			<xsl:text>Ft</xsl:text>
																		</span>
																	</xsl:if>
																	<xsl:if test="ReportingPointOutboundAltFt != 0">
																		<span style="font-family:Arial; ">
																			<xsl:text>, Outbound altitude </xsl:text>
																		</span>
																		<xsl:for-each select="ReportingPointOutboundAltFt">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																	<span style="font-family:Arial; ">
																		<xsl:text>&#160;</xsl:text>
																	</span>
																	<xsl:if test="ReportingPointForAircraftTypes != &quot;&quot;">
																		<span style="font-family:Arial; ">
																			<xsl:text>,only to be used by aircraft of type </xsl:text>
																		</span>
																		<xsl:for-each select="ReportingPointForAircraftTypes">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																</td>
																<td/>
															</tr>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</tbody>
									</table>
								</td>
							</tr>
							<tr>
								<td style="font-size:larger; font-weight:bolder; " align="center"/>
								<td/>
								<td/>
							</tr>
							<tr>
								<td colspan="3">
									<table style="font-size:medium; " border="0" frame="box">
										<thead>
											<tr>
												<td align="left" colspan="3">
													<xsl:if test="count(  PocketFMSObjectData/DetailedObjectInfo/Communications  )  &gt;= 1">
														<span style="font-family:Arial; font-weight:bold; ">
															<xsl:text>Communications</xsl:text>
														</span>
													</xsl:if>
												</td>
												<th height="18"/>
												<th height="18"/>
												<th height="18"/>
												<th height="18"/>
												<th height="18"/>
												<th height="18"/>
												<th height="18"/>
											</tr>
										</thead>
										<tbody>
											<xsl:for-each select="PocketFMSObjectData">
												<xsl:for-each select="DetailedObjectInfo">
													<xsl:for-each select="Communications">
														<xsl:for-each select="COMM">
															<tr>
																<td>
																	<xsl:for-each select="@CommType">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
																<td align="left">
																	<xsl:for-each select="@CommName">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
																<td align="left">
																	<xsl:if test="@Freq1  != &quot;0.000&quot;">
																		<xsl:for-each select="@Freq1">
																			<span>
																				<xsl:value-of select="string(.)"/>
																			</span>
																		</xsl:for-each>
																	</xsl:if>
																</td>
																<td align="left">
																	<xsl:if test="@Freq2 != &quot;0.000&quot;">
																		<xsl:for-each select="@Freq2">
																			<span>
																				<xsl:value-of select="string(.)"/>
																			</span>
																		</xsl:for-each>
																	</xsl:if>
																</td>
																<td align="left">
																	<xsl:if test="@Freq3 != &quot;0.000&quot;">
																		<xsl:for-each select="@Freq3">
																			<span>
																				<xsl:value-of select="string(.)"/>
																			</span>
																		</xsl:for-each>
																	</xsl:if>
																</td>
																<td align="left">
																	<xsl:if test="@Freq4  != &quot;0.000&quot;">
																		<xsl:for-each select="@Freq4">
																			<span>
																				<xsl:value-of select="string(.)"/>
																			</span>
																		</xsl:for-each>
																	</xsl:if>
																</td>
																<td align="left">
																	<xsl:if test="@Freq5 != &quot;0.000&quot;">
																		<xsl:for-each select="@Freq5">
																			<span>
																				<xsl:value-of select="string(.)"/>
																			</span>
																		</xsl:for-each>
																	</xsl:if>
																</td>
																<td align="left">
																	<xsl:for-each select="@Sector">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
																<td align="left">
																	<xsl:for-each select="@CommRemarks">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
																<td align="left">
																	<xsl:for-each select="@OprHrs">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
															</tr>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
										</tbody>
									</table>
								</td>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
							</tr>
							<tr>
								<td colspan="3">
									<table style="font-family:inherit; font-size:medium; " border="0" frame="box">
										<thead>
											<tr>
												<th align="left" colspan="3">
													<xsl:if test="count(   PocketFMSObjectData/DetailedObjectInfo/Runways )  &gt;= 1">
														<span style="font-family:Arial; ">
															<xsl:text>Runways</xsl:text>
														</span>
													</xsl:if>
												</th>
												<th/>
												<th/>
												<th/>
												<th/>
												<th colspan="12"/>
											</tr>
											<tr>
												<th align="left">
													<span style="font-family:Arial; ">
														<xsl:text>Ident</xsl:text>
													</span>
												</th>
												<th align="left" height="11">
													<span style="font-family:Arial; ">
														<xsl:text>Surface</xsl:text>
													</span>
												</th>
												<th align="left" height="11">
													<span style="font-family:Arial; ">
														<xsl:text>L x W</xsl:text>
													</span>
												</th>
												<th height="11">
													<span style="font-family:Arial; ">
														<xsl:text>TODA</xsl:text>
													</span>
												</th>
												<th height="11">
													<span style="font-family:Arial; ">
														<xsl:text>LDA</xsl:text>
													</span>
												</th>
												<th align="left" height="11">
													<span style="font-family:Arial; ">
														<xsl:text>Slope (Degrees)</xsl:text>
													</span>
												</th>
												<th height="11"/>
												<th align="left" colspan="11" height="11">
													<span style="font-family:Arial; ">
														<xsl:text>ILS </xsl:text>
													</span>
												</th>
												<th align="left">
													<span style="font-family:Arial; ">
														<xsl:text>Lights</xsl:text>
													</span>
												</th>
											</tr>
										</thead>
										<tbody>
											<xsl:for-each select="PocketFMSObjectData">
												<xsl:for-each select="DetailedObjectInfo">
													<xsl:for-each select="Runways">
														<xsl:for-each select="RunwayData">
															<tr style="border-bottom:1px; border-bottom-color:fuchsia; ">
																<td align="left" height="1">
																	<xsl:for-each select="@RwyIdent">
																		<span>
																			<xsl:value-of select="string(.)"/>
																		</span>
																	</xsl:for-each>
																</td>
																<td align="left" height="1">
																	<xsl:for-each select="SurfaceType">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
																<td align="left" height="1">
																	<xsl:for-each select="RunwayLengthFt">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																	<span>
																		<xsl:text>x</xsl:text>
																	</span>
																	<xsl:for-each select="RunwayWidthFt">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
																<td align="left" height="1">
																	<xsl:for-each select="TakeoffLengthFt">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
																<td align="left" height="1">
																	<xsl:for-each select="LandingDistanceFt">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
																<td align="left" height="1">
																	<xsl:for-each select="SlopeDegrees">
																		<xsl:apply-templates/>
																	</xsl:for-each>
																</td>
																<td height="1" rowspan="2"/>
																<td align="left" colspan="11" height="1">
																	<xsl:if test="ILSIdent != &quot;&quot;">
																		<xsl:for-each select="ILSIdent">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																		<span style="font-family:Arial; ">
																			<xsl:text>&#160;</xsl:text>
																		</span>
																		<xsl:for-each select="ILSFreq">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																		<span style="font-family:Arial; ">
																			<xsl:text> (</xsl:text>
																		</span>
																		<span>
																			<xsl:value-of select="concat(substring(&quot;000&quot;,1,3- string-length(  ILSBearingDegreesMag ) ),  ILSBearingDegreesMag )"/>
																		</span>
																		<span style="font-family:Arial; ">
																			<xsl:text>)</xsl:text>
																		</span>
																	</xsl:if>
																</td>
																<td height="1" rowspan="2">
																	<xsl:if test="RunwayLightType1 != &quot;?&quot;">
																		<xsl:for-each select="RunwayLightType1">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																	<xsl:if test="RunwayLightType2 != &quot;?&quot;">
																		<span style="font-family:Arial; ">
																			<xsl:text>,</xsl:text>
																		</span>
																		<xsl:for-each select="RunwayLightType2">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																	<xsl:if test="RunwayLightType3 != &quot;?&quot;">
																		<span style="font-family:Arial; ">
																			<xsl:text>,</xsl:text>
																		</span>
																		<xsl:for-each select="RunwayLightType3">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																	<xsl:if test="RunwayLightType4 != &quot;?&quot;">
																		<span style="font-family:Arial; ">
																			<xsl:text>,</xsl:text>
																		</span>
																		<xsl:for-each select="RunwayLightType4">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																	<xsl:if test="RunwayLightType5 != &quot;?&quot;">
																		<span style="font-family:Arial; ">
																			<xsl:text>,</xsl:text>
																		</span>
																		<xsl:for-each select="RunwayLightType5">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																	<xsl:if test="RunwayLightType6 != &quot;?&quot;">
																		<span style="font-family:Arial; ">
																			<xsl:text>,</xsl:text>
																		</span>
																		<xsl:for-each select="RunwayLightType6">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																	</xsl:if>
																</td>
															</tr>
															<tr>
																<td colspan="6">
																	<xsl:choose>
																		<xsl:when test="CircuitType =&quot;L&quot;">
																			<span style="font-family:inherit; ">
																				<xsl:text>Left Hand Circuit</xsl:text>
																			</span>
																		</xsl:when>
																		<xsl:when test="CircuitType =&quot;R&quot;">
																			<span style="font-family:inherit; ">
																				<xsl:text>Right Hand Circuit</xsl:text>
																			</span>
																		</xsl:when>
																		<xsl:when test="CircuitType =&quot;B&quot;">
																			<span>
																				<xsl:text>L</xsl:text>
																			</span>
																			<span style="font-family:inherit; ">
																				<xsl:text>eft and Right Hand Circuits</xsl:text>
																			</span>
																		</xsl:when>
																	</xsl:choose>
																	<xsl:if test="CircuitAltitude != &quot;&quot;">
																		<span style="font-family:inherit; ">
																			<xsl:text>, Altitude </xsl:text>
																		</span>
																		<xsl:for-each select="CircuitAltitude">
																			<xsl:apply-templates/>
																		</xsl:for-each>
																		<span style="font-family:inherit; ">
																			<xsl:text>ft</xsl:text>
																		</span>
																	</xsl:if>
																</td>
																<td colspan="11"/>
															</tr>
														</xsl:for-each>
													</xsl:for-each>
												</xsl:for-each>
											</xsl:for-each>
											<tr style="border-bottom:1px; border-bottom-color:fuchsia; ">
												<td/>
												<td height="1"/>
												<td height="1"/>
												<td height="1"/>
												<td height="1"/>
												<td height="1"/>
												<td height="1"/>
												<td colspan="11" height="1"/>
												<td height="1"/>
											</tr>
										</tbody>
									</table>
								</td>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
							</tr>
							<tr>
								<td colspan="3"/>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
							</tr>
						</tbody>
					</table>
					<br/>
					<br/>
					<br/>
					<br/>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
